searchNodes=[{"ref":"MatrixOperation.html","title":"MatrixOperation","type":"module","doc":"MatrixOperation is a linear algebra library in Elixir language. Matrix indices of a row and column is an integer starting from 1 (not from 0)."},{"ref":"MatrixOperation.html#add/2","title":"MatrixOperation.add/2","type":"function","doc":"Matrix addition Argument a: Left side of the addition of matrices. b: Right side of the addition of matrices. Output Addition of two matrices Example iex&gt; MatrixOperation.add([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[5, 5, 4], [5, 3, 4]]"},{"ref":"MatrixOperation.html#const_addition/2","title":"MatrixOperation.const_addition/2","type":"function","doc":"A matrix is added by a constant. Argument const: Constant to add the matrix. matrix: Target vector/matrix to be added by a constant. Output Vector/Matrix multiplied by the constant. Example iex&gt; MatrixOperation.const_addition(1, [1.0, 2.0, 3.0]) [2.0, 3.0, 4.0] iex&gt; MatrixOperation.const_addition(1, [[1, 2, 3], [2, 2, 2], [3, 8, 9]]) [[2, 3, 4], [3, 3, 3], [4, 9, 10]]"},{"ref":"MatrixOperation.html#const_multiple/2","title":"MatrixOperation.const_multiple/2","type":"function","doc":"A matrix is multiplied by a constant. Argument const: Constant to multiply the matrix. matrix: Target vector/matrix to be multiplied by a constant. Output Vector/Matrix multiplied by the constant. Example iex&gt; MatrixOperation.const_multiple(-1, [1.0, 2.0, 3.0]) [-1.0, -2.0, -3.0] iex&gt; MatrixOperation.const_multiple(2, [[1, 2, 3], [2, 2, 2], [3, 8, 9]]) [[2, 4, 6], [4, 4, 4], [6, 16, 18]]"},{"ref":"MatrixOperation.html#cramer/3","title":"MatrixOperation.cramer/3","type":"function","doc":"Cramer&#39;s rule Argument matrix: Target matrix to perform Cramer&#39;s rule. vertical_vec: Vertical vector to perform Cramer&#39;s rule. select_idx: Index of the target to perform Cramer&#39;s rule. Output Solution to the linear equation when Cramer&#39;s rule is applied. Example iex&gt; MatrixOperation.cramer([[1, 0, 0], [0, 1, 0], [0, 0, 1]], [[1], [0], [0]], 1) 1.0 iex&gt; MatrixOperation.cramer([[0, -2, 1], [-1, 1, -4], [3, 3, 1]], [[3], [-7], [4]], 1) 2.0"},{"ref":"MatrixOperation.html#delete_one_column/2","title":"MatrixOperation.delete_one_column/2","type":"function","doc":"A column of a matrix is deleted. Argument matrix: Target matrix from which to delete the column. del_idx: Index of the column to be deleted. Output The matrix from which the specified column was deleted. Example iex&gt; MatrixOperation.delete_one_column([[1, 2, 3], [4, 5, 6], [7, 8, 9]], 2) [[1, 3], [4, 6], [7, 9]]"},{"ref":"MatrixOperation.html#delete_one_row/2","title":"MatrixOperation.delete_one_row/2","type":"function","doc":"A row of a matrix is deleted. Argument matrix: Target matrix from which to delete the row. del_idx: Index of the row to be deleted. Output The matrix from which the specified row was deleted. Example iex&gt; MatrixOperation.delete_one_row([[1, 2, 3], [4, 5, 6], [7, 8, 9]], 3) [[1, 2, 3], [4, 5, 6]]"},{"ref":"MatrixOperation.html#determinant/1","title":"MatrixOperation.determinant/1","type":"function","doc":"A determinant of a n×n square matrix is got. Argument matrix: Target matrix to output determinant. Output Determinant of the matrix Example iex&gt; MatrixOperation.determinant([[1, 2, 1], [2, 1, 0], [1, 1, 2]]) -5 iex&gt; MatrixOperation.determinant([[1, 2, 1, 1], [2, 1, 0, 1], [1, 1, 2, 1], [1, 2, 3, 4]]) -13 iex&gt; MatrixOperation.determinant([ [3,1,1,2,1], [5,1,3,4,1], [2,0,1,0,1], [1,3,2,1,1], [1,1,1,1,1] ]) -14"},{"ref":"MatrixOperation.html#diagonalization/1","title":"MatrixOperation.diagonalization/1","type":"function","doc":"Matrix diagonalization using the QR decomposition. Argument a: Matrix to be diagonalized by using the QR decomposition. Output Diagonalized matrix Example iex&gt; MatrixOperation.diagonalization([[1, 3], [4, 2]]) [[5.000000000000018, 0], [0, -1.999999999999997]] iex&gt; MatrixOperation.diagonalization([[2, 1, -1], [1, 1, 5], [-1, 2, 1]]) [[4.101784906061095, 0, 0], [0, -2.6170329440542233, 0], [0, 0, 2.515248037993127]] iex&gt; MatrixOperation.diagonalization([[2, 1, -1], [1, 1, 0], [-1, 0, 1]]) nil iex&gt; MatrixOperation.diagonalization([[2, 1, -1], [1, 1, 0], [-1, 0, 1]]) nil iex&gt; MatrixOperation.diagonalization([[16, -1, 1, 2, 3], [2, 12, 1, 5, 6], [1, 3, -24, 8, 9], [3, 4, 9, 1, 23], [5, 3, 1, 2, 1]]) [ [-26.608939298557207, 0, 0, 0, 0], [0, 20.42436493500135, 0, 0, 0], [0, 0, 14.665793374162678, 0, 0], [0, 0, 0, -3.5477665464080044, 0], [0, 0, 0, 0, 1.0665475358009446] ]"},{"ref":"MatrixOperation.html#eigen/1","title":"MatrixOperation.eigen/1","type":"function","doc":"Calculate eigenvalues and eigenvectors by using QR decomposition. Argument a: Matrix to calculate eigenvalues and eigenvectors by using the QR decomposition. Output [Eigenvalues list, Eigenvectors list]: Eigenvalues and eigenvectors. Eigenvalue is a non-trivial value other than zero, and complex numbers are not supported. Example iex&gt; MatrixOperation.eigen([[1, 4, 5], [4, 2, 6], [5, 6, 3]]) { [12.175971065046914, -3.6686830979532736, -2.507287967093643], [ [0.4965997845461912, 0.5773502691896258, 0.6481167492476514], [0.3129856771935595, 0.5773502691896258, -0.7541264035547063], [-0.8095854617397507, 0.577350269189626, 0.10600965430705471] ] }"},{"ref":"MatrixOperation.html#eigenvalue_algebra/1","title":"MatrixOperation.eigenvalue_algebra/1","type":"function","doc":"Calculate eigenvalue using algebra method [R^2×R^2/R^3×R^3 matrix] Argument [[a11, a12], [a21, a22]] or [[a11, a12, a13], [a21, a22, a23], [a31, a32, a33]]: R^2×R^2/R^3×R^3 matrix Output Eigenvalues which is a non-trivial value other than zero. Example iex&gt; MatrixOperation.eigenvalue_algebra([[3, 1], [2, 2]]) {4.0, 1.0} iex&gt; MatrixOperation.eigenvalue_algebra([[6, -3], [4, -1]]) {3.0, 2.0} iex&gt; MatrixOperation.eigenvalue_algebra([[1, 1, 1], [1, 2, 1], [1, 2, 3]]) {4.561552806429505, 0.43844714673139706, 1.0000000468390973} iex&gt; MatrixOperation.eigenvalue_algebra([[2, 1, -1], [1, 1, 0], [-1, 0, 1]]) {3.0000000027003626, 0.9999999918989121}"},{"ref":"MatrixOperation.html#eigh/1","title":"MatrixOperation.eigh/1","type":"function","doc":"Calculate eigenvalues and eigenvectors by using QR decomposition for symmetric matrices. Argument a: Symmetric matrix to calculate eigenvalues and eigenvectors by using the QR decomposition. Output [Eigenvalues list, Eigenvectors list]: Eigenvalues and eigenvectors. Eigenvalue is a non-trivial value other than zero, and complex numbers are not supported. Example iex&gt; MatrixOperation.eigh([[3, 0], [0, 2]]) {[3.0, 2.0], [[1.0, 0.0], [0.0, 1.0]]} iex&gt; MatrixOperation.eigh([[1, 4, 5], [4, 2, 6], [5, 6, 3]]) { [12.175971065046914, -3.6686830979532736, -2.507287967093643], [ [0.49659978454619136, 0.3129856771935604, 0.8095854617397505], [0.577350269189626, 0.5773502691896251, -0.5773502691896263], [0.6481167492476514, -0.7541264035547065, -0.106009654307054] ] }"},{"ref":"MatrixOperation.html#even_matrix/2","title":"MatrixOperation.even_matrix/2","type":"function","doc":"A m×n matrix having even-elements is got. Argument elem: Value of the common element of the matrix to output. {row_num, col_num}: Size of the matrix to output. Output A row_num×col_num matrix having even elements Example iex&gt; MatrixOperation.even_matrix(0, {2, 3}) [[0, 0, 0], [0, 0, 0]] iex&gt; MatrixOperation.even_matrix(1, {3, 2}) [[1, 1], [1, 1], [1, 1]]"},{"ref":"MatrixOperation.html#exchange_one_column/3","title":"MatrixOperation.exchange_one_column/3","type":"function","doc":"A column of a matrix is exchanged. Argument matrix: Target matrix from which to exchange the column. exchange_idx: Index of the column to be exchanged. exchange_list: List of the column to be exchanged. Output The matrix from which the specified column was exchanged. Example iex&gt; MatrixOperation.exchange_one_column([[1, 2, 3], [4, 5, 6], [7, 8, 9]], 2, [1, 1, 1]) [[1, 1, 3], [4, 1, 6], [7, 1, 9]]"},{"ref":"MatrixOperation.html#exchange_one_row/3","title":"MatrixOperation.exchange_one_row/3","type":"function","doc":"A row of a matrix is exchanged. Argument matrix: Target matrix from which to exchange the row. exchange_idx: Index of the row to be exchanged. exchange_list: List of the row to be exchanged. Output The matrix from which the specified row was exchanged. Example iex&gt; MatrixOperation.exchange_one_row([[1, 2, 3], [4, 5, 6], [7, 8, 9]], 3, [1, 1, 1]) [[1, 2, 3], [4, 5, 6], [1, 1, 1]]"},{"ref":"MatrixOperation.html#frobenius_norm/1","title":"MatrixOperation.frobenius_norm/1","type":"function","doc":"Frobenius norm Argument a: Matrix to calculate Frobenius norm. Output Frobenius norm Example iex&gt; MatrixOperation.frobenius_norm([[2, 3], [1, 4], [2, 1]]) 5.916079783099616 iex&gt; MatrixOperation.frobenius_norm([[1, 3, 3], [2, 4, 1], [2, 3, 2]]) 7.54983443527075"},{"ref":"MatrixOperation.html#get_one_column/2","title":"MatrixOperation.get_one_column/2","type":"function","doc":"A column of a matrix is got. Argument matrix: Target matrix from which to extract the column. col_idx: Index of the column to be extracted. Output A column of a matrix Example iex&gt; MatrixOperation.get_one_column([[1, 2, 3], [4, 5, 6], [7, 8, 9] ], 1) [1, 4, 7]"},{"ref":"MatrixOperation.html#get_one_element/2","title":"MatrixOperation.get_one_element/2","type":"function","doc":"An element of a matrix is got. Argument matrix: Target matrix from which to extract the element. {row_idx, col_idx}: Index of row and column of the element to be extracted. Output An element of a matrix Example iex&gt; MatrixOperation.get_one_element([[1, 2, 3], [4, 5, 6], [7, 8, 9] ], {1, 1}) 1"},{"ref":"MatrixOperation.html#get_one_row/2","title":"MatrixOperation.get_one_row/2","type":"function","doc":"A row of a matrix is got. Argument matrix: Target matrix from which to extract the row. row_idx: Index of the row to be extracted. Output A row of a matrix Example iex&gt; MatrixOperation.get_one_row([[1, 2, 3], [4, 5, 6], [7, 8, 9] ], 1) [1, 2, 3]"},{"ref":"MatrixOperation.html#hadamard_division/2","title":"MatrixOperation.hadamard_division/2","type":"function","doc":"Hadamard division Argument a: Left side of the Hadamard division of matrices. b: Right side of the Hadamard division of matrices. Output Hadamard division of two matrices Example iex&gt; MatrixOperation.hadamard_division([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[1.5, 0.6666666666666666, 3.0], [0.6666666666666666, 0.5, 1.0]]"},{"ref":"MatrixOperation.html#hadamard_power/2","title":"MatrixOperation.hadamard_power/2","type":"function","doc":"Hadamard power Argument matrix: Target matrix that elements are to be n-th powered. n: Exponent of a power. Output Matrix that elements are to be n-th powered Example iex&gt; MatrixOperation.hadamard_power([[3, 2, 3], [2, 1, 2]], 2) [[9.0, 4.0, 9.0], [4.0, 1.0, 4.0]]"},{"ref":"MatrixOperation.html#hadamard_product/2","title":"MatrixOperation.hadamard_product/2","type":"function","doc":"Hadamard product Argument a: Left side of the Hadamard production of matrices. b: Right side of the Hadamard production of matrices. Output Hadamard production of two matrices Example iex&gt; MatrixOperation.hadamard_product([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[6, 6, 3], [6, 2, 4]]"},{"ref":"MatrixOperation.html#inverse_matrix/1","title":"MatrixOperation.inverse_matrix/1","type":"function","doc":"Inverse Matrix Argument matrix: Matrix to be inverse Matrix. Output Inverse Matrix Example iex&gt; MatrixOperation.inverse_matrix([[1, 1, -1], [-2, -1, 1], [-1, -2, 1]]) [[-1.0, -1.0, 0.0], [-1.0, 0.0, -1.0], [-3.0, -1.0, -1.0]]"},{"ref":"MatrixOperation.html#jacobi/2","title":"MatrixOperation.jacobi/2","type":"function","doc":"Calculate eigenvalues and eigenvectors by using Jacobi method Argument matrix: Matrix to adapt the power iteration method. iter_max: iteration number of the power iteration method. The default value is 1000. Output [Eigenvalues list, Eigenvectors list]: Eigenvalues and eigenvectors Example iex&gt; MatrixOperation.jacobi([[10, 3, 2], [3, 5, 1], [2, 1, 0]]) { [11.827601656660915, 3.5956497715829547, -0.42325142824210527], [ [0.8892872578006493, -0.42761854121985043, -0.16220529066103917], [0.4179466723082575, 0.9038581385546461, -0.09143874712126684], [0.1857114757355714, 0.013522151221627882, 0.982511271796136] ] }"},{"ref":"MatrixOperation.html#jordan_normal_form/1","title":"MatrixOperation.jordan_normal_form/1","type":"function","doc":"Jordan_normal_form [R^2×R^2/R^3×R^3 matrix] Argument matrix: R^2×R^2/R^3×R^3 matrix. Target matrix to be Jordan normal form. Output Jordan normal form matrix Example iex&gt; MatrixOperation.jordan_normal_form([[1, 3], [4, 2]]) [[5.0, 0], [0, -2.0]] iex&gt; MatrixOperation.jordan_normal_form([[7, 2], [-2, 3]]) [[5.0, 1], [0, 5.0]] iex&gt; MatrixOperation.jordan_normal_form([[2, 1, -1], [1, 1, 0], [-1, 0, 1]]) nil iex&gt; MatrixOperation.jordan_normal_form([[1, -1, 1], [0, 2, -2], [1, 1, 3]]) [[2.0, 1, 0], [0, 2.0, 1], [0, 0, 2.0]] iex&gt; MatrixOperation.jordan_normal_form([[3, 0, 1], [-1, 2, -1], [-1, 0, 1]]) [[2.0, 1, 0], [0, 2.0, 0], [0, 0, 2.0]] iex&gt; MatrixOperation.jordan_normal_form([[1, 0, -1], [0, 2, 0], [0, 1, 1]]) [[2.0, 0, 0], [0, 0.9999999999999999, 1], [0, 0, 0.9999999999999999]] iex&gt; MatrixOperation.jordan_normal_form([[6, 2, 3], [-3, 0, -2], [-4, -2, -1]]) [[1.0, 0, 0], [0, 2.0, 1], [0, 0, 2.0]]"},{"ref":"MatrixOperation.html#leading_principal_minor/2","title":"MatrixOperation.leading_principal_minor/2","type":"function","doc":"Leading principal minor is generetaed. Argument matrix: Target matrix to find leading principal minor. idx: Index of a row and column to find leading principal minor. Output Leading principal minor Example iex&gt; MatrixOperation.leading_principal_minor([[1, 3, 2], [2, 5, 1], [3, 4, 5]], 2) [[1, 3], [2, 5]]"},{"ref":"MatrixOperation.html#lu_decomposition/1","title":"MatrixOperation.lu_decomposition/1","type":"function","doc":"LU decomposition Argument matrix: Target matrix to solve LU decomposition. Output {L, U}. L(U) is L(U)-matrix of LU decomposition. Example iex&gt; MatrixOperation.lu_decomposition([[1, 1, 0, 3], [2, 1, -1, 1], [3, -1, -1, 2], [-1, 2, 3, -1]]) { [[1, 0, 0, 0], [2.0, 1, 0, 0], [3.0, 4.0, 1, 0], [-1.0, -3.0, 0.0, 1]], [[1, 1, 0, 3], [0, -1.0, -1.0, -5.0], [0, 0, 3.0, 13.0], [0, 0, 0, -13.0]] }"},{"ref":"MatrixOperation.html#max_norm/1","title":"MatrixOperation.max_norm/1","type":"function","doc":"The max norm Argument a: Matrix to calculate the max norm. Output The max norm Example iex&gt; MatrixOperation.max_norm([[2, 3], [1, 4], [2, 1]]) 8 iex&gt; MatrixOperation.max_norm([[1, 3, 3], [2, 4, 1], [2, 3, 2]]) 10"},{"ref":"MatrixOperation.html#one_norm/1","title":"MatrixOperation.one_norm/1","type":"function","doc":"The one norm Argument a: Matrix to calculate the one norm. Output one norm Example iex&gt; MatrixOperation.one_norm([[2, 3], [1, 4], [2, 1]]) 5 iex&gt; MatrixOperation.one_norm([[1, 3, 3], [2, 4, 1], [2, 3, 2]]) 7"},{"ref":"MatrixOperation.html#power_iteration/2","title":"MatrixOperation.power_iteration/2","type":"function","doc":"Power iteration method (maximum eigen value and eigen vector) Argument matrix: Matrix to adapt the power iteration method. iter_max: iteration number of the power iteration method. The default value is 1000. Output Maximum eigenvalue and normalized eigenvector corresponding to the maximum eigenvalue Example iex&gt; MatrixOperation.power_iteration([[3, 1], [2, 2]]) { 4.0, [0.7071067811865476, 0.7071067811865476] } iex&gt; MatrixOperation.power_iteration([[1, 1, 2], [0, 2, -1], [0, 0, 3]]) { 3.0, [0.3333333333333333, -0.6666666666666666, 0.6666666666666666] }"},{"ref":"MatrixOperation.html#product/2","title":"MatrixOperation.product/2","type":"function","doc":"Matrix product Argument a: Left side of the product of matrices. b: Right side of the product of matrices. Output Product of two matrices Example iex&gt; MatrixOperation.product([[3, 2, 3], [2, 1, 2]], [[2, 3], [2, 1], [3, 5]]) [[19, 26], [12, 17]]"},{"ref":"MatrixOperation.html#random_matrix/4","title":"MatrixOperation.random_matrix/4","type":"function","doc":"A m×n matrix having random elements is got. Argument min_val: Minimum value of random number. max_val: Maximum value of random number. {row_num, col_num}: Size of the matrix to output. type: Data type of elements. &quot;int&quot; or &quot;real&quot;. Output A row_num×col_num matrix having random elements"},{"ref":"MatrixOperation.html#rank/1","title":"MatrixOperation.rank/1","type":"function","doc":"Calculate the rank of a matrix by using QR decomposition Example iex&gt; MatrixOperation.rank([[2, 3, 4], [1, 4, 2], [2, 1, 4]]) 2 iex&gt; MatrixOperation.rank([[2, 3, 4, 2], [1, 4, 2, 3], [2, 1, 4, 4]]) 3 iex&gt; input = [[2, 3, 4, 3], [1, 42, 2, 11], [2, 1, 4, 4], [3, 7, 2, 2], [35, 6, 4, 6], [7, 23, 5, 2]] iex&gt; MatrixOperation.rank(input) 4"},{"ref":"MatrixOperation.html#singular_value/1","title":"MatrixOperation.singular_value/1","type":"function","doc":"Calculate singular Value by using QR decomposition. Argument a: Matrix to calculate singular values. Output Singular values list. Singular value is a non-trivial value other than zero. Example iex&gt; MatrixOperation.singular_value([[1, 2, 3, 1], [2, 4, 1, 5], [3, 3, 10, 8]]) {14.9121726205599, 4.23646340778201, 1.6369134152873912}"},{"ref":"MatrixOperation.html#size/1","title":"MatrixOperation.size/1","type":"function","doc":"Numbers of rows and columns of a matrix are got. Argument matrix: Target matrix for finding the numbers of rows and columns. Output {num_rows, num_cols}: Numbers of rows and columns of a matrix Example iex&gt; MatrixOperation.size([[3, 2, 3], [2, 1, 2]]) {2, 3}"},{"ref":"MatrixOperation.html#solve_sle/2","title":"MatrixOperation.solve_sle/2","type":"function","doc":"Linear equations are solved by LU decomposition. Argument matrix: Target matrix to solve simultaneous linear equations. vertical_vec: Vertical vector to solve linear equations. Output Solutions of the linear equations Example iex&gt; MatrixOperation.solve_sle([[1, 0, 0], [0, 1, 0], [0, 0, 1]], [[1], [0], [0]]) [1.0, 0.0, 0.0] iex&gt; MatrixOperation.solve_sle([[4, 1, 1], [1, 3, 1], [2, 1, 5]], [[9], [10], [19]]) [1.0, 2.0, 3.0]"},{"ref":"MatrixOperation.html#subtract/2","title":"MatrixOperation.subtract/2","type":"function","doc":"Matrix subtraction Argument a: Left side of the subtraction of matrices. b: Right side of the subtraction of matrices. Output Subtraction of two matrices Example iex&gt; MatrixOperation.subtract([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [3, 2, 2]]) [[1, -1, 2], [-1, -1, 0]]"},{"ref":"MatrixOperation.html#svd/1","title":"MatrixOperation.svd/1","type":"function","doc":"Singular Value Decomposition (SVD) using Jacobi method. Argument matrix: Matrix to adapt the SVD by using the QR decomposition method. Output [Singular values, U-matrix, V-matrix]: Singular values, U-matrix and V-matrix. Singular value is a non-trivial value other than zero. Example iex&gt; MatrixOperation.svd([[1, 0, 0], [0, 1, 1]]) { [1.0, 1.4142135623730951], [ [1.0, 0.0], [0.0, 1.0] ], [ [1.0, 0.0], [0.0, 0.7071067811865476], [0.0, 0.7071067811865476] ] } iex&gt; MatrixOperation.svd([[1, 1], [1, -1], [1, 0]]) { [1.7320508075688772, 1.4142135623730951], [ [0.5773502691896253, 0.7071067811865476], [0.5773502691896262, -0.7071067811865475], [0.5773502691896258, 4.521488038788547e-16] ], [[1.0, 0.0], [0.0, 1.0]] } iex&gt; MatrixOperation.svd([[1, 1], [1, 1]]) { [1.9999999999999998], [[0.7071067811865476], [0.7071067811865476]], [[0.7071067811865476], [0.7071067811865476]] }"},{"ref":"MatrixOperation.html#svd_sub/2","title":"MatrixOperation.svd_sub/2","type":"function","doc":""},{"ref":"MatrixOperation.html#tensor_product/2","title":"MatrixOperation.tensor_product/2","type":"function","doc":"Tensor product Argument a: Left side of the tensor production of matrices. b: Right side of the tensor production of matrices. Output Tensor production of two matrices Example iex&gt; MatrixOperation.tensor_product([[3, 2, 3], [2, 1, 2]], [[2, 3, 1], [2, 1, 2], [3, 5, 3]]) [ [ [[6, 9, 3], [6, 3, 6], [9, 15, 9]], [[4, 6, 2], [4, 2, 4], [6, 10, 6]], [[6, 9, 3], [6, 3, 6], [9, 15, 9]] ], [ [[4, 6, 2], [4, 2, 4], [6, 10, 6]], [[2, 3, 1], [2, 1, 2], [3, 5, 3]], [[4, 6, 2], [4, 2, 4], [6, 10, 6]] ] ]"},{"ref":"MatrixOperation.html#trace/1","title":"MatrixOperation.trace/1","type":"function","doc":"Trace of a matrix Argument matrix: Target matrix to output trace. Output Trance of the matrix Example iex&gt; MatrixOperation.trace([[1.0, 2.0], [3.0, 4.0]]) 5.0"},{"ref":"MatrixOperation.html#transpose/1","title":"MatrixOperation.transpose/1","type":"function","doc":"Transpose of a matrix Argument matrix: Target matrix to transpose. Output Transposed matrix Example iex&gt; MatrixOperation.transpose([[1.0, 2.0], [3.0, 4.0]]) [[1.0, 3.0], [2.0, 4.0]]"},{"ref":"MatrixOperation.html#two_norm/1","title":"MatrixOperation.two_norm/1","type":"function","doc":"The two norm Argument a: Matrix to calculate the two norm. Output The two norm Example iex&gt; MatrixOperation.two_norm([[2, 3], [1, 4], [2, 1]]) 5.674983803488139 iex&gt; MatrixOperation.two_norm([[1, 3, 3], [2, 4, 1], [2, 3, 2]]) 7.329546646114923"},{"ref":"MatrixOperation.html#unit_matrix/1","title":"MatrixOperation.unit_matrix/1","type":"function","doc":"A n-th unit matrix is got. Argument n: Number of rows / columns in the unit matrix to output. Output A n-th unit matrix Example iex&gt; MatrixOperation.unit_matrix(3) [[1, 0, 0], [0, 1, 0], [0, 0, 1]]"},{"ref":"MatrixOperation.html#variance_covariance_matrix/1","title":"MatrixOperation.variance_covariance_matrix/1","type":"function","doc":"A variance-covariance matrix is generated. Argument data: x and y coordinate lists ([[x_1, y_1], [x_2, y_2], ...]) to calculate variance-covariance matrix. Output Variance-covariance matrix Example iex&gt; MatrixOperation.variance_covariance_matrix([[40, 80], [80, 90], [90, 100]]) [ [466.66666666666663, 166.66666666666666], [166.66666666666666, 66.66666666666666] ]"}]